Bug 728142 - Display physical interface information for logical networks
Summary: Display physical interface information for logical networks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node
Version: 6.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Joey Boggs
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 720957 731146
TreeView+ depends on / blocked
 
Reported: 2011-08-04 07:58 UTC by Anil Vettathu
Modified: 2011-12-06 19:25 UTC (History)
8 users (show)

Fixed In Version: ovirt-node-2.0.2-0.2.git1b3c2f5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 19:25:52 UTC


Attachments (Terms of Use)
ss (8.10 KB, image/png)
2011-08-22 23:40 UTC, Joey Boggs
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1783 normal SHIPPED_LIVE rhev-hypervisor6 bug fix and enhancement update 2011-12-06 15:10:54 UTC

Description Anil Vettathu 2011-08-04 07:58:59 UTC
Description of problem:

RHEV-H status page should display information of the physical interface the logical networks (bridges) are attached.

For example, currently status page only display the IP of the rhevm. No information on the interface it has been attached.

Comment 2 Alan Pevec 2011-08-04 10:33:08 UTC
List of all bridges could be long, we'll need a scrollable list box displaying two columns, bridge name and NIC device name, basically /sys/class/net/*/brif/*

Joey, could this box e.g. 25x3 chars, fit on the Status page between Networking and Logs lines?

Comment 5 Joey Boggs 2011-08-22 23:33:54 UTC
http://git.virt.bos.redhat.com/git/?p=ovirt-node/.git;a=commit;h=5756d59fd054878c6cdc33599107d344ca22c2c0


added, had to make a sacrifice on space, running vm's line only shows when virtualization is detected and enabled(safe assumption)?



screenshot attached

Comment 6 Joey Boggs 2011-08-22 23:40:06 UTC
Created attachment 519369 [details]
ss

Comment 8 Guohua Ouyang 2011-08-30 06:48:49 UTC
Verified on 6.2-0.14:
1. the status page displayed like:
Networking:    rhevm:  dhcp 10.66.11.120
Logical Network   Device  MAC Address           
rhevm            eth0    00:23:ae:9d:85:32   
  
2. if virtualization isn't detected:
"Running VMs: 0" is displaying "(Virtualization hardware detected but disabled)"

Comment 9 errata-xmlrpc 2011-12-06 19:25:52 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1783.html


Note You need to log in before you can comment on or make changes to this bug.